#!/usr/bin/perl -I /usr/sausalito/perl

use Sauce::Util::SecurityLevels;

my $sec = new SecurityLevels();

$sec->updateSecurityLevels(
	'adminUser',
	'[[base-sauce-basic.capgroup_adminUser]]',
	'[[base-sauce-basic.capgroup_adminUser_help]]',
	'createUser',
	'destroyUser',
	'modifyUser',
	'modifyUserDefaults'
);

$sec->updateSecurityLevels(
	'adminWorkgroup',
	'[[base-workgroup.capgroup_adminWorkgroup]]',
	'[[base-workgroup.capgroup_adminWorkgroup_help]]',
	'createWorkgroup',
	'modifyWorkgroup',
	'destroyWorkgroup',
	'modifyWorkgroupDefaults'
);

$sec->updateSecurityLevels(
	'adminUserGroupMailingList',
	'[[base-sauce-basic.capgroup_adminUserGroupMailingList]]',
	'[[base-sauce-basic.capgroup_adminUserGroupMailingList_help]]',
	'adminUser',
	'adminWorkgroup', 
	'createMaillist',
	'destroyMaillist',
	'modifyMaillist',
	'modifySystemLdapImport'
);
$sec->setSortOrder(20);

# power
$sec->updateSecurityLevels(
	'adminPower',
	'[[base-power.capgroup_adminPower]]',
	'[[base-power.capgroup_adminPower_help]]',
	'modifySystemPower'
);
$sec->setSortOrder(170);

1;
